@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');
@import '../styles/reset.css';
body,html {
    width: 100%;
    height: 100%;
}
body {
    font-family: 'Ubuntu';

}
* {
    font-family: 'Ubuntu';
    margin: 0;
    padding: 0;
}
.container {
    max-width: 1281px;
    margin: 0 auto;
}
.header {
    margin: 31px 0;
    &__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;    
    }
    &__location {
        display: flex;
        align-items: center;
        &::before {
            content: url(../images/header/location-ico.svg);
            margin-right: 11px;
            margin-top: 5px;
        }
    }
    &__search {
        position: relative;
        &::after {
            position: absolute;
            left: 96.5%;
            top: 29%;
            content: url('../images/header/finder-ico.svg');
        }
        input {
            width: 601px;
            border: 0;
            padding: 15px 0;
            padding-right: 5px;
            border-bottom: 1px solid rgba(0, 0, 0, 0.5);
            &::-webkit-input-placeholder       {text-indent: 0px;   transition: text-indent 0.3s ease;}
            &::-moz-placeholder                {text-indent: 0px;   transition: text-indent 0.3s ease;}
            &:-moz-placeholder                 {text-indent: 0px;   transition: text-indent 0.3s ease;}
            &:-ms-input-placeholder            {text-indent: 0px;   transition: text-indent 0.3s ease;}
               
            &:focus {
                outline: none;
                &::-webkit-input-placeholder {text-indent: 600px; transition: text-indent 0.5s ease;}
                &::-moz-placeholder          {text-indent: 600px; transition: text-indent 0.5s ease;}
                &:-moz-placeholder           {text-indent: 600px; transition: text-indent 0.5s ease;}
                &:-ms-input-placeholder      {text-indent: 600px; transition: text-indent 0.5s ease;}
            }
            
        }
    }
    &__svg-wrap {
        &:hover {
            svg {
                fill: #618C78;
            }
        }
    }
    &__icons {
        display: flex;
        a {
            display: block;
            margin-left: 48px;
            &:nth-child(1) {
                margin-left: 0;
            }
        }
    }
}

// PERSONAL AREA PAGE
.area {
        &__wrapper {
        display: flex;
        align-items: flex-start;
    }
    &__tabs {
        width: 31%;

    }
    &__main {
        width: 100%;
        &-header {
            margin-bottom: 15px;
            padding: 30px;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            legend {
                font-size: 40px;
                text-transform:uppercase;
                font-weight: 700;
            }

        }
        &-content {
            padding: 20px;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            label {
                display: block;
                color: #8e8e8e;
                margin-bottom: 8px;
            }
        }
        .information__input{
            border: 2px solid #d2d2d2;
            border-radius: 5px;
            padding: 12px 15px 9px 15px;
            width: 319px;
            &[type='submit'] {
                font-weight: 700;
                border: none;
                background-color: #F9F9F9;
            }
        }
        .information__select{
            margin-left: 12px;
            padding: 12px 15px 11px 15px;
            border: 2px solid #d2d2d2;
            border-radius: 5px;
            &:nth-child(1) {
                margin-left: 0;
            }
        }
    }
    &__input-wrapper {
        margin-bottom: 24px;
    }
   
}

